
Foreman - Bug #11557

Foreman 1.8.3 Exception when using Puppetrun provider customrun 

08/25/2015 12:23 PM - Martin Zimmermann

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Smart Proxy   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm using the puppetrun provider "customrun", but every run fails with this error message:

/var/log/foreman-proxy/proxy.log

D, [2015-08-25T18:06:15.559074 #27172] DEBUG -- : about to execute: ["/bin/true", "-ay -f -s", ["l2917022.sdst.sbaintern.de"]]

E, [2015-08-25T18:06:15.559362 #27172] ERROR -- : Exception 'no implicit conversion of Array into String' when executing

'["/bin/true", "-ay -f -s", ["l2917022.sdst.sbaintern.de"]]'

E, [2015-08-25T18:06:15.561525 #27172] ERROR -- : Failed puppet run: Check Log files

My puppetrun configuration looks like this (i'm using /bin/true in this example just for demonstration purposes):

/etc/foreman-proxy/settings.d/puppet.yml

---

:enabled: true

:puppet_conf: /etc/puppet/puppet.conf

:puppet_url: https://l9994022.edst.ebaintern.de:8140

:puppet_ssl_ca: /var/lib/puppet/ssl/certs/ca.pem

:puppet_ssl_cert: /var/lib/puppet/ssl/certs/l9994022.edst.ebaintern.de.pem

:puppet_ssl_key: /var/lib/puppet/ssl/private_keys/l9994022.edst.ebaintern.de.pem

:puppet_provider: customrun

:customrun_cmd: /bin/true

:customrun_args: -ay -f -s

Related issues:

Is duplicate of Smart Proxy - Bug #10940: Unable to use customrun puppet prov... Closed 06/26/2015

History

#1 - 08/26/2015 03:14 AM - Dominic Cleal

- Is duplicate of Bug #10940: Unable to use customrun puppet provider added

#2 - 08/26/2015 03:14 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, this has just been fixed in #10940 for Foreman 1.9.1.
